edu.ucsb.nceas.metacat

## Class McdbDocNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - edu.ucsb.nceas.metacat.McdbException
      - - edu.ucsb.nceas.metacat.McdbDocNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class McdbDocNotFoundException
      extends McdbException

  Exception thrown when an error occurs because a document with a given ID could not be found in the metacat database.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McdbDocNotFoundException()` Create a new McdbDocNotFoundException.
    `McdbDocNotFoundException(java.lang.Exception e)` Create a new McdbDocNotFoundException.
    `McdbDocNotFoundException(java.lang.String message)` Create a new exception but only set the message.
    `McdbDocNotFoundException(java.lang.String message, java.lang.Exception e)` Create a new McdbDocNotFoundException.
    `McdbDocNotFoundException(java.lang.String message, java.lang.String givenDocId, java.lang.String givenRevision)` Create a new McdbDocNotFoundException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUnfoundDocId()` Method to get the docid which couldn't be found
    `java.lang.String` | `getUnfoundRevision()` Method to get the docid's revsion which couldn't be found

    - ### Methods inherited from class edu.ucsb.nceas.metacat.McdbException

      `getException, getMessage, toXml`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### McdbDocNotFoundException

          public McdbDocNotFoundException()

      Create a new McdbDocNotFoundException.

    - #### McdbDocNotFoundException

          public McdbDocNotFoundException(java.lang.String message,
                                          java.lang.String givenDocId,
                                          java.lang.String givenRevision)

      Create a new McdbDocNotFoundException.
      Parameters:
        `message` - The error or warning message.

    - #### McdbDocNotFoundException

          public McdbDocNotFoundException(java.lang.String message)

      Create a new exception but only set the message.
      Parameters:
        `message` - a message giving information about why the document was not found

    - #### McdbDocNotFoundException

          public McdbDocNotFoundException(java.lang.Exception e)

      Create a new McdbDocNotFoundException.
      Parameters:
        `e` - The exception to tunnel inside this exception

    - #### McdbDocNotFoundException

          public McdbDocNotFoundException(java.lang.String message,
                                          java.lang.Exception e)

      Create a new McdbDocNotFoundException.
      Parameters:
        `message` - The error or warning message.
        `e` - The exception to tunnel inside this exception

  - ### Method Detail

    - #### getUnfoundDocId

          public java.lang.String getUnfoundDocId()

      Method to get the docid which couldn't be found

    - #### getUnfoundRevision

          public java.lang.String getUnfoundRevision()

      Method to get the docid's revsion which couldn't be found

Copyright © 2020 Regents of the University of California. All Rights Reserved.